{
  description = "Benny nixos config flake";

  inputs = {
    # nixpkgs.url = "github:nixos/nixpkgs?ref=nixos-unstable";
    nixpkgs.url = "github:nixos/nixpkgs?ref=nixos-unstable";
    home-manager = {
      url = "github:nix-community/home-manager";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    sops-nix.url = "github:Mic92/sops-nix";
    flake-parts = {
      url = "github:hercules-ci/flake-parts";
      inputs.nixpkgs-lib.follows = "nixpkgs";
    };
    nix-gaming = {
      url = "github:fufexan/nix-gaming";
      inputs.flake-parts.follows = "flake-parts";
    };

  };

  outputs =
    { self
    , nixpkgs
    , sops-nix
    , ...
    }@inputs:
    let
      system = "x86_64-linux";
      user = "mbeno";
    in
    {
      nixosConfigurations = {
        zedd = nixpkgs.lib.nixosSystem {
          inherit system;
          specialArgs = { inherit inputs self user sops-nix; };
          modules = [
            ({ config, pkgs, ... }: { })
            ./hosts/zedd
            sops-nix.nixosModules.sops
          ];
        };
      };
    };
}
