{ config, pkgs, ... }: {

  sound.enable = true;
  security.rtkit.enable = true;
  networking.firewall.enable = false;
  security.polkit.enable = true;
  services = {
    displayManager =
      {
        defaultSession = "none+i3";
        autoLogin.enable = true;
        autoLogin.user = "mbeno";

      };
    xserver = {
      enable = true;
      xkb.layout = "us";
      xkb.variant = "";
      desktopManager = {
        xterm.enable = false;
      };
      videoDrivers = [ "nvidia" ];

      windowManager.i3 = {
        enable = true;
        extraPackages = with pkgs; [
          dmenu #application launcher most people use
          i3status # gives you the default i3 status bar
          i3lock #default i3 screen locker
          i3blocks #if you are planning on using i3blocks over i3status
          polybar
          rofi
          nitrogen
        ];
      };
    };
  };
  services.pipewire = {
    enable = true;
    alsa.enable = true;
    alsa.support32Bit = true;
    pulse.enable = true;
  };
  services.pcscd.enable = true;
  services.dbus.packages = [ pkgs.gcr ];
} 
