{ pkgs, ... }: {
  home.packages = with pkgs; [
    # Generic tools
    age
    discord
    libpng
    lshw
    vlc
    expat
    xdeltaUnstable
    transmission-gtk
    alacritty
    btop
    bzip2
    croc
    easyeffects
    fd
    ffmpeg
    file
    go-task
    glib
    jq
    kitty
    kubectl
    ncdu
    nwg-look
    mumble
    pavucontrol
    jellyfin-media-player
    unrar
    mpv
    lutris
    pamixer
    pinentry
    pre-commit
    pulseaudio
    pulsemixer
    rbw
    restic
    ripgrep
    sops
    spotify
    spicetify-cli
    sshfs
    ventoy
    expect
    # k8s tools
    talosctl
    k9s
    cilium-cli
    kubernetes-helm
    cmctl
    krew
    gnome.zenity
    protontricks
    winetricks

    tokei
    unzip
    yt-dlp
    zoom-us
    vmware-horizon-client

    # Editors
    # vscode

    # Go stuff
    go
    delve
    gopls

    # js/ts
    nodejs
    nodePackages.pnpm
    typescript

    # Py stuff
    (python312.withPackages (p: with p; [
      requests
      mypy
      pydantic
      typer
      patool
      pyunpack
      ipython
    ]))
    poetry
    ruff

    # Rust
    rustup


  ];
}
